      subroutine exppot(rsq,ppotj,pfj)

      implicit none

c > PASSED variables
      real*8 rsq,ppotj,pfj
      integer idatom1,idatom2

c  (exppot is called from within a loop over i,j=1,3 in calcfrcs,ppmd3)
c  (exppot is called from within a loop over atom pairs in nonbond)

c > LOCAL variables

      real*8 rinv6,r,zeta,temp1,temp2,temp13

#include "expene.h"
#include "switches.h"

c
          if(rsq.gt.rangesq) then
		ppotj=0.d0
		pfj=0.d0
            else if(rsq.le.rssq.or..not.spline) then
                rinv6=1.0d0/(rsq*rsq*rsq)
                ppotj=4.0d0*rinv6*(rinv6-1.0d0)
                pfj=48.0d0*rinv6*(rinv6-0.5d0)/rsq
            else
                r=sqrt(rsq)
                zeta=(r-rspne)*dltinv
                temp1=1.0d0-zeta
                temp2=a0+a1*zeta+a2*zeta*zeta
                temp13=temp1*temp1*temp1
                ppotj=temp13*temp2
                pfj=-dltinv*(temp13*(a1+2.0d0*a2*zeta)
     x                -3.0d0*temp1*temp1*temp2)/r
          endif

      return
      end
