
         function gaussdev(idum,t,iseed)
c
c generate random gaussian deviates with zero mean and t variance
c from uniform deviates using a box-muller transformation.
c
      implicit none 
      integer idum,iseed
c     >     ,iavail
      real*8 gaussdev,t,x1,x2,rranf,r,f
c     >     ,told,t2,devnext
c      data iavail/0/,told/-1.0d0/

#include "gaussdev.h"

c
      if(idum.lt.0)then
          x1=rranf(idum)
          iavail=0
      endif
c
      if(told.ne.t)then
          iavail=0
          told=t
          t2=-2.0d0*t
      endif
c
   10 if(iavail.eq.0)then
            x1=2.0d0*rranf(iseed)-1.0d0
            x2=2.0d0*rranf(iseed)-1.0d0
            r=x1**2+x2**2
            if(r.ge.1.0d0)goto 10
            f=sqrt(t2*log(r)/r)
            gaussdev=f*x1
            devnext=f*x2
            iavail=1
         else
            gaussdev=devnext
            iavail=0
      endif
      return
      end
