	
	
	SUBROUTINE Nonbondforce(rij,i1,i2,ind,pairp,pairf)

	implicit none

#include "ppmdparam1.h"
#include "ppmdparam2.h"

#include "box.h"
#include "energy.h"
#include "expene.h"
#include "forces.h"
#include "index.h"
#include "listi.h"
#include "paramsr.h"
#include "parents.h"
#include "posit.h"
#include "potprm.h"
#include "scalpos.h"
#include "sizes.h"
#include "switches.h"
#include "tables.h"
#include "which.h"
#include "steps.h"

	integer i1,i2,ind
	real*8 rij,pairp,pairf

	real*8 rsq,ppotj,pfj,invrr,rinv6,r,zeta,temp1,temp2,temp12

		rsq =rij * siginvsq(i1,i2,ind)

                if(rsq.gt.rangesq) then 
                  ppotj=0.d0
                  pfj=0.d0
                else if( (rsq.LE.rssq).OR.(.not.spline) ) then
                  invrr = 1.0d0 / rsq
                  rinv6 = invrr*invrr*invrr
                  ppotj =  4.0d0 * rinv6 * (rinv6-1.0d0)
                  pfj   = 48.0d0 * rinv6 * (rinv6-0.5d0) * invrr
                else
                  r=dsqrt(rsq)
                  zeta   = (r-rspne)*dltinv
                  temp1  = 1.0d0-zeta
                  temp2  = a0+a1*zeta+a2*zeta*zeta
                  temp12 = temp1*temp1
                  ppotj  = temp12*temp1*temp2
                  pfj    =-dltinv*temp12*(af0+af1*temp1+af2*temp12)/r
                endif 

                pairp=ppotj*epslon(i1,i2,ind)
                pairf= pfj*epbysig2(i1,i2,ind)
	
	RETURN
	end
