	SUBROUTINE bondang

	implicit none

#include "ppmdparam1.h"

#include "bonds.h"
#include "energy.h"
#include "forces.h"
#include "paramsr.h"
#include "props.h"
#include "sizes.h"

#include "gencoords.h"
#include "steps.h"
#include "times.h"
#include "which.h"

	integer i,j,k,l,ich
	real*8 ene,f1(3),f2(3),f3(3)

	epbasum=0.d0

	Do ich=1,nchains
	  do i=1,natmc(ich)-2
	   
	    l=angletype(identmc(i,ich),identmc(i+1,ich),identmc(i+2,ich))

		CALL Bondangforce(ich,i,1,i+1,1,0,l,ene,f1,f2,f3)

		epbasum=epbasum+ene

		fxmc(i,ich)=fxmc(i,ich)+f1(1)
		fymc(i,ich)=fymc(i,ich)+f1(2)
		fzmc(i,ich)=fzmc(i,ich)+f1(3)

		fxmc(i+1,ich)=fxmc(i+1,ich)+f2(1)
		fymc(i+1,ich)=fymc(i+1,ich)+f2(2)
		fzmc(i+1,ich)=fzmc(i+1,ich)+f2(3)

		fxmc(i+2,ich)=fxmc(i+2,ich)+f3(1)
		fymc(i+2,ich)=fymc(i+2,ich)+f3(2)
		fzmc(i+2,ich)=fzmc(i+2,ich)+f3(3) 

	  End do

        do i=2,natmc(ich)-1
          k=mctsu(i)
          if(k.ne.0) then

            l=angletype
     &	  (identmc(i-1,ich),identmc(i,ich),identsu(k-1,ich))

		  CALL Bondangforce(ich,i-1,1,k-1,2,0,l,ene,f1,f2,f3)

		  epbasum=epbasum+ene

		  fxmc(i-1,ich)=fxmc(i-1,ich)+f1(1)
		  fymc(i-1,ich)=fymc(i-1,ich)+f1(2)
		  fzmc(i-1,ich)=fzmc(i-1,ich)+f1(3)

		  fxmc(i,ich)=fxmc(i,ich)+f2(1)
		  fymc(i,ich)=fymc(i,ich)+f2(2)
		  fzmc(i,ich)=fzmc(i,ich)+f2(3)

		  fxsu(k-1,ich)=fxsu(k-1,ich)+f3(1)
		  fysu(k-1,ich)=fysu(k-1,ich)+f3(2)
		  fzsu(k-1,ich)=fzsu(k-1,ich)+f3(3) 

            l=angletype(identmc(i-1,ich),identmc(i,ich),identsu(k,ich))


		  CALL Bondangforce(ich,i-1,1,k,2,0,l,ene,f1,f2,f3)

		  epbasum=epbasum+ene

		  fxmc(i-1,ich)=fxmc(i-1,ich)+f1(1)
		  fymc(i-1,ich)=fymc(i-1,ich)+f1(2)
		  fzmc(i-1,ich)=fzmc(i-1,ich)+f1(3)

		  fxmc(i,ich)=fxmc(i,ich)+f2(1)
		  fymc(i,ich)=fymc(i,ich)+f2(2)
		  fzmc(i,ich)=fzmc(i,ich)+f2(3)

		  fxsu(k,ich)=fxsu(k,ich)+f3(1)
		  fysu(k,ich)=fysu(k,ich)+f3(2)
		  fzsu(k,ich)=fzsu(k,ich)+f3(3) 


            l=angletype(identmc(i+1,ich),identmc(i,ich),identsu(k,ich))

		  CALL Bondangforce(ich,i,1,k,2,3,l,ene,f1,f2,f3)

		  epbasum=epbasum+ene

		  fxmc(i+1,ich)=fxmc(i+1,ich)+f1(1)
		  fymc(i+1,ich)=fymc(i+1,ich)+f1(2)
		  fzmc(i+1,ich)=fzmc(i+1,ich)+f1(3)

		  fxmc(i,ich)=fxmc(i,ich)+f2(1)
		  fymc(i,ich)=fymc(i,ich)+f2(2)
		  fzmc(i,ich)=fzmc(i,ich)+f2(3)

		  fxsu(k,ich)=fxsu(k,ich)+f3(1)
		  fysu(k,ich)=fysu(k,ich)+f3(2)
		  fzsu(k,ich)=fzsu(k,ich)+f3(3) 

		  l=angletype(identmc(i+1,ich),identmc(i,ich),identsu(k-1,ich))

		  CALL Bondangforce(ich,i,1,k-1,2,3,l,ene,f1,f2,f3)

	      epbasum=epbasum+ene

	  	  fxmc(i+1,ich)=fxmc(i+1,ich)+f1(1)
		  fymc(i+1,ich)=fymc(i+1,ich)+f1(2)
		  fzmc(i+1,ich)=fzmc(i+1,ich)+f1(3)

		  fxmc(i,ich)=fxmc(i,ich)+f2(1)
		  fymc(i,ich)=fymc(i,ich)+f2(2)
		  fzmc(i,ich)=fzmc(i,ich)+f2(3)

		  fxsu(k-1,ich)=fxsu(k-1,ich)+f3(1)
		  fysu(k-1,ich)=fysu(k-1,ich)+f3(2)
		  fzsu(k-1,ich)=fzsu(k-1,ich)+f3(3) 


		  l=angletype(identsu(k,ich),identmc(i,ich),identsu(k-1,ich))

		  CALL Bondangforce(ich,k-1,2,k,2,3,l,ene,f1,f2,f3)

		  epbasum=epbasum+ene

		  fxsu(k-1,ich)=fxsu(k-1,ich)+f1(1)
		  fysu(k-1,ich)=fysu(k-1,ich)+f1(2)
		  fzsu(k-1,ich)=fzsu(k-1,ich)+f1(3)

		  fxmc(i,ich)=fxmc(i,ich)+f2(1)
		  fymc(i,ich)=fymc(i,ich)+f2(2)
		  fzmc(i,ich)=fzmc(i,ich)+f2(3)

		  fxsu(k,ich)=fxsu(k,ich)+f3(1)
		  fysu(k,ich)=fysu(k,ich)+f3(2)
		  fzsu(k,ich)=fzsu(k,ich)+f3(3)

		endif
        enddo
	enddo

	return
	end 
