      SUBROUTINE Bondangforce
     &(ich,i,iflag,j,jflag,m,ityp,ene,f1,f2,f3)

	implicit none

#include "ppmdparam1.h"      
#include "bonds.h"
#include "paramsr.h"
#include "steps.h"

	integer i,iflag,j,jflag,ityp,m,ich
	real*8 ene,f1(3),f2(3),f3(3),dudcos

	integer k
	real*8 dot,u(3),v(3),ulen,vlen,ang

	if(iflag.eq.1) then
	   u(1)=b(1,i,ich)
	   u(2)=b(2,i,ich)
	   u(3)=b(3,i,ich)
	   ulen=blen(i,ich)

	else
	   u(1)=d(1,i,ich)
	   u(2)=d(2,i,ich)
	   u(3)=d(3,i,ich)
	   ulen=dlen(i,ich)
	end if
	
      if(jflag.eq.1) then
	   v(1)=b(1,j,ich)
	   v(2)=b(2,j,ich)
	   v(3)=b(3,j,ich)
	   vlen=blen(j,ich)

	else
	   v(1)=d(1,j,ich)
	   v(2)=d(2,j,ich)
	   v(3)=d(3,j,ich)
	   vlen=dlen(j,ich)

	end if

	if(m.ne.0) then
		u(1)=-u(1)
		u(2)=-u(2)
		u(3)=-u(3)
	endif

	dot=u(1)*v(1)+u(2)*v(2)+u(3)*v(3)
	ang=dacos(dot)
	ene=0.5d0*cijk(ityp)*(ang-thijk0(ityp))**2
	dudcos=-cijk(ityp)*(ang-thijk0(ityp))/dsin(ang)

c	F:= -dV /dr (the minus sign is incorporated in the following statements)

	do k=1,3
	  f1(k)=  dudcos*(v(k)-dot*u(k))/ulen
	  f3(k)= -dudcos*(u(k)-dot*v(k))/vlen
	  f2(k)= -f1(k)-f3(k)
	end do
	
	RETURN
	END
