
      subroutine matinv(a,b,c)

c     Invert a 3 x 3 matrix in a, return in result in b, 
c     put determinant in c.

c      implicit double precision (a-h,o-z),integer (i-n)
c      dimension a(3,3),b(3,3)

      implicit none

      real*8 a(3,3), b(3,3), d11,d22,d33,d12,d13,d21,d23,d31,d32,cinv,c

      d11=a(2,2)*a(3,3)-a(2,3)*a(3,2)
      d22=a(3,3)*a(1,1)-a(3,1)*a(1,3)
      d33=a(1,1)*a(2,2)-a(1,2)*a(2,1)
      d12=a(2,3)*a(3,1)-a(2,1)*a(3,3)
      d23=a(3,1)*a(1,2)-a(3,2)*a(1,1)
      d31=a(1,2)*a(2,3)-a(1,3)*a(2,2)
      d13=a(2,1)*a(3,2)-a(3,1)*a(2,2)
      d21=a(3,2)*a(1,3)-a(1,2)*a(3,3)
      d32=a(1,3)*a(2,1)-a(2,3)*a(1,1)
      c=a(1,1)*d11+a(1,2)*d12+a(1,3)*d13
      cinv = 1.0d0 / c

      b(1,1)=d11 * cinv
      b(2,2)=d22 * cinv
      b(3,3)=d33 * cinv
      b(1,2)=d21 * cinv
      b(2,3)=d32 * cinv
      b(3,1)=d13 * cinv
      b(2,1)=d12 * cinv
      b(3,2)=d23 * cinv
      b(1,3)=d31 * cinv

c     b(1,1)=d11/c
c     b(2,2)=d22/c
c     b(3,3)=d33/c
c     b(1,2)=d21/c
c     b(2,3)=d32/c
c     b(3,1)=d13/c
c     b(2,1)=d12/c
c     b(3,2)=d23/c
c     b(1,3)=d31/c

      return
      end
