C
C=======SUBROUTINE MINIMG==================================================


	subroutine minimg(i,ich,iflag,j,jch,jflag,drmij,rminsq,rpminsq)

	implicit none

#include "ppmdparam1.h"
#include "box.h"
#include "posit.h"
#include "scalpos.h"
#include "parents.h"

C.......DECLARATIONS

C   >	Passed Variables

	integer i,ich,j,jch,iflag,jflag


	real*8 drmij(3),rpminsq,rminsq


C   > 	Local Variables

	integer ll,nx,ny,nz
	real*8 drx,dry,drz,dx0,dy0,dz0
	real*8 rxi,rxj,ryi,ryj,rzi,rzj
	real*8 x0i,x0j,y0i,y0j,z0i,z0j
	real*8 zbn,rpxi,rpyi,rpzi,rpxj,rpyj,rpzj

C------Executable Lines Start Here-----------------------------------------

	if(iflag.eq.1) then

       	  x0i=x0mc(i,ich)
	  y0i=y0mc(i,ich)
	  z0i=z0mc(i,ich)
	  rxi=rxmc(i,ich)
	  ryi=rymc(i,ich)
	  rzi=rzmc(i,ich)
          rpxi=rpxmc(i,ich)
          rpyi=rpymc(i,ich)
          rpzi=rpzmc(i,ich)

        else
       	  x0i=x0su(i,ich)
	  y0i=y0su(i,ich)
	  z0i=z0su(i,ich)
	  rxi=rxsu(i,ich)
	  ryi=rysu(i,ich)
	  rzi=rzsu(i,ich)
          rpxi=rpxsu(i,ich)
          rpyi=rpysu(i,ich)
          rpzi=rpzsu(i,ich)
          
 	endif


	if(jflag.eq.1) then

       	  x0j=x0mc(j,jch)
	  y0j=y0mc(j,jch)
	  z0j=z0mc(j,jch)
	  rxj=rxmc(j,jch)
	  ryj=rymc(j,jch)
	  rzj=rzmc(j,jch)
          rpxj=rpxmc(j,jch)
          rpyj=rpymc(j,jch)
          rpzj=rpzmc(j,jch)

        else
       	  x0j=x0su(j,jch)
	  y0j=y0su(j,jch)
	  z0j=z0su(j,jch)
	  rxj=rxsu(j,jch)
	  ryj=rysu(j,jch)
	  rzj=rzsu(j,jch)
          rpxj=rpxsu(j,jch)
          rpyj=rpysu(j,jch)
          rpzj=rpzsu(j,jch)
          
	endif


	drx=rxj-rxi
	dry=ryj-ryi
	drz=rzj-rzi

	dx0=x0j-x0i
	dy0=y0j-y0i
	dz0=z0j-z0i

	nx=dx0+dx0
	ny=dy0+dy0
	nz=dz0+dz0

	ll=9*nx+3*ny+nz+14

	drmij(1)=drx-rxl(ll)
	drmij(2)=dry-ryl(ll)
	drmij(3)=drz-rzl(ll)

	rminsq=drmij(1)*drmij(1)+drmij(2)*drmij(2)
     &        +drmij(3)*drmij(3)

	zbn=0.0d0 
	zbn=zbn+(rpxi-rpxj)**2
	zbn=zbn+(rpyi-rpyj)**2
	zbn=zbn+(rpzi-rpzj)**2

	rpminsq=zbn

	return
	end
