
          function ssum(n,dx,incx)
c
c     Takes the sum of values of dx from 1 to n, increment of incx.
c     jack dongarra, linpack, 3/11/78.
c     Note: you should use a library version of this routine if 
c           available (like on the Cray).
c
C.....
      implicit none 

      integer n,incx
      real*8 dx(n),temp,ssum
C.....

      integer i,m,mp1,nincx
c
      ssum=0.0d0
      temp=0.0d0
      if(n.le.0) return
      if(incx.eq.1) goto 20
c
c        code for increment not equal to 1
c
      nincx=n*incx
      do 10 i=1,nincx,incx
        temp=temp+dx(i)
   10 continue
      ssum=temp
      return
c
c        code for increment equal to 1
c
c
c        clean-up loop
c
   20 m=mod(n,6)
      if(m.eq.0) goto 40
      do 30 i=1,m
        temp=temp+dx(i)
   30 continue
      if(n.lt.6) goto 60
   40 mp1=m+1
      do 50 i=mp1,n,6
        temp=temp+dx(i)+dx(i + 1)+dx(i + 2)+dx(i + 3)+dx(i + 4)+
     x       dx(i + 5)
   50 continue
   60 ssum=temp
      return
      end
